Skip to content

Container Detections

The Container Detections service collection provides operations for querying and aggregating container security detections. Retrieve runtime detections, aggregate counts by severity and type, and search detection entities using FQL filters.

LanguageLast Update
Pythonv1.4.6
PowerShellv2.2.9
Gov0.20.0
TypeScriptv0.6.0
Rustv0.7.0
Rubyv1.2.0
OperationDescription
GetRuntimeDetectionsCombinedV2
search_runtime_detections
Retrieve image assessment detections identified by the provided filter criteria.
ReadDetectionsCountBySeverity
read_detection_counts_by_severity
Aggregate counts of detections by severity.
ReadDetectionsCountByType
read_detections_count_by_type
Aggregate counts of detections by detection type.
ReadDetectionsCount
read_detections_count
Aggregate count of detections.
ReadCombinedDetections
read_combined_detections
Retrieve image assessment detections identified by the provided filter criteria.
ReadDetections
read_detections
Retrieve image assessment detection entities identified by the provided filter criteria.
SearchDetections
search_detections
Retrieve image assessment detection entities identified by the provided filter criteria.

Retrieve image assessment detections identified by the provided filter criteria.

GET /container-security/combined/runtime-detections/v2
Scope Falcon Container Image: READ Consumes · Produces application/json
PEP 8 search_runtime_detections
NameTypeData typeDescription
filterquerystringFilter container runtime detections using a query in Falcon Query Language (FQL). Supported filters: action_taken, aid, cid, cloud, cluster_name, command_line, computer_name, container_id, detect_timestamp, detection_description, detection_id, file_name, file_path, host_id, host_type, image_id, name, namespace, pod_name, severity, tactic.
limitqueryintegerThe upper-bound on the number of records to retrieve.
offsetqueryintegerThe offset from where to begin.
parametersquerydictionaryFull query string parameters payload in JSON format. Not required if using other keywords.
sortquerystringThe fields to sort the records on. Supported fields: containers_impacted, detection_name, detection_severity, detection_type, images_impacted, last_detected.
from falconpy import ContainerDetections
falcon = ContainerDetections(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.search_runtime_detections(filter="string",
limit=integer,
offset=integer,
sort="string")
print(response)

Aggregate counts of detections by severity.

GET /container-security/aggregates/detections/count-by-severity/v1
Scope Falcon Container Image: READ Consumes · Produces application/json
PEP 8 read_detection_counts_by_severity
NameTypeData typeDescription
filterquerystringFilter images using a query in Falcon Query Language (FQL). Supported filters: cid, container_id, detection_type, id, image_digest, image_id, image_registry, image_repository, image_tag, name, severity.
parametersquerydictionaryFull query string parameters payload in JSON format. Not required if using other keywords.
from falconpy import ContainerDetections
falcon = ContainerDetections(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.read_detection_counts_by_severity(filter="string")
print(response)

Aggregate counts of detections by detection type.

GET /container-security/aggregates/detections/count-by-type/v1
Scope Falcon Container Image: READ Consumes · Produces application/json
PEP 8 read_detections_count_by_type
NameTypeData typeDescription
filterquerystringFilter images using a query in Falcon Query Language (FQL). Supported filters: cid, container_id, detection_type, id, image_digest, image_id, image_registry, image_repository, image_tag, name, severity.
parametersquerydictionaryFull query string parameters payload in JSON format. Not required if using other keywords.
from falconpy import ContainerDetections
falcon = ContainerDetections(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.read_detections_count_by_type(filter="string")
print(response)

Aggregate count of detections.

GET /container-security/aggregates/detections/count/v1
Scope Falcon Container Image: READ Consumes · Produces application/json
PEP 8 read_detections_count
NameTypeData typeDescription
filterquerystringFilter images using a query in Falcon Query Language (FQL). Supported filters: cid, container_id, detection_type, id, image_digest, image_id, image_registry, image_repository, image_tag, name, severity.
parametersquerydictionaryFull query string parameters payload in JSON format. Not required if using other keywords.
from falconpy import ContainerDetections
falcon = ContainerDetections(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.read_detections_count(filter="string")
print(response)

Retrieve image assessment detections identified by the provided filter criteria.

GET /container-security/combined/detections/v1
Scope Falcon Container Image: READ Consumes · Produces application/json
PEP 8 read_combined_detections
NameTypeData typeDescription
filterquerystringFilter images using a query in Falcon Query Language (FQL). Supported filters: cid, container_id, detection_type, id, image_digest, image_id, image_registry, image_repository, image_tag, name, severity.
limitqueryintegerThe upper-bound on the number of records to retrieve.
offsetqueryintegerThe offset from where to begin.
parametersquerydictionaryFull query string parameters payload in JSON format. Not required if using other keywords.
sortquerystringThe fields to sort the records on. Supported columns: containers_impacted, detection_name, detection_severity, detection_type, images_impacted, last_detected.
from falconpy import ContainerDetections
falcon = ContainerDetections(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.read_combined_detections(filter="string",
limit=integer,
offset=integer,
sort="string")
print(response)

Retrieve image assessment detection entities identified by the provided filter criteria.

GET /container-security/entities/detections/v1
Scope Falcon Container Image: READ Consumes · Produces application/json
PEP 8 read_detections
NameTypeData typeDescription
filterquerystringFilter images using a query in Falcon Query Language (FQL). Supported filters: cid, detection_type, image_registry, image_repository, image_tag.
limitqueryintegerThe upper-bound on the number of records to retrieve.
offsetqueryintegerThe offset from where to begin.
parametersquerydictionaryFull query string parameters payload in JSON format. Not required if using other keywords.
from falconpy import ContainerDetections
falcon = ContainerDetections(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.read_detections(filter="string",
limit=integer,
offset=integer)
print(response)

Retrieve image assessment detection entities identified by the provided filter criteria.

GET /container-security/queries/detections/v1
Scope Falcon Container Image: READ Consumes · Produces application/json
PEP 8 search_detections
NameTypeData typeDescription
filterquerystringFilter images using a query in Falcon Query Language (FQL). Supported filters: cid, container_id, detection_type, id, image_digest, image_id, image_registry, image_repository, image_tag, name, severity.
limitqueryintegerThe upper-bound on the number of records to retrieve.
offsetqueryintegerThe offset from where to begin.
parametersquerydictionaryFull query string parameters payload in JSON format. Not required if using other keywords.
from falconpy import ContainerDetections
falcon = ContainerDetections(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.search_detections(filter="string",
limit=integer,
offset=integer)
print(response)